Slack Test
指定 Webhook へテスト通知を送り疎通確認する(Section 25-10)。owner のみ。
POST
/settings/slack/testHeader parameters
authorizationstring | anyX-Api-Keystring | anyRequest body
requiredapplication/jsonwebhook_urlstringrequiredResponses
200Successful Response
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X POST "/settings/slack/test" \
-H "Content-Type: application/json" \
-d '{
"webhook_url": "string"
}'const response = await fetch("/settings/slack/test", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"webhook_url": "string"
})
});import requests
response = requests.post(
"/settings/slack/test",
headers={
"Content-Type": "application/json"
},
json={
"webhook_url": "string"
},
)Response
"string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}